Failed to build eclipse with gnome 2.12 (failed on cario)

Vladimir Grebenschikov vova at sw.ru
Mon Sep 19 05:44:51 PDT 2005


В пн, 19/09/2005 в 13:26 +0200, Andreas Kohn пишет:
> On Mon, 2005-09-19 at 10:51 +0300, Panagiotis Astithas wrote:

> > Well, to be honest, I was planning to port the first milestone that will 
> > have our submitted patches merged. If that seems to take forever though 
> > and we can't use eclipse at all with a current gnome, I'll certainly 
> > reconsider.
> 
> FWIW, you can find a patch to eclipse that I use for 3.1+gnome 2.12 at
> http://andreas.syndrom23.de/dump/eclipse-3.1-cairo.diff

Build mostly ok now, only issue is it fails to make package:
Creating package /usr/ports/packages/All/eclipse-3.1_2.tbz
Registering depends: libgnomeui-2.12.0_1 gnomekeyring-0.4.5 libbonoboui-2.10.1 gtk-2.8.3_3 libgnome-2.12.0.1 scrollkeeper-0.3.14_1,1 docbook-xsl-1.68.1 esound-0.2.36 gnome-icon-theme-2.12.0 gnomevfs2-2.12.0_1 gnomemimedata-2.4.2 gconf2-2.12.0 libbonobo-2.10.1_1 libgnomecanvas-2.12.0 ORBit2-2.12.4 libglade2-2.5.1_2 pango-1.10.0 libIDL-0.8.6 hicolor-icon-theme-0.5 jdk-1.4.2p7_1 intltool-0.34.1 libXft-2.1.7 howl-1.0.0 gnomehier-2.0_7 javavmwrapper-2.0_5 xorg-fonts-truetype-6.8.2 tiff-3.7.4 atk-1.10.3 cairo-1.0.0_3 libart_lgpl2-2.3.17 libaudiofile-0.2.6 libxslt-1.1.15 startup-notification-0.8_1 linc-1.0.3_3 libgcrypt-1.2.1_1 fam-2.6.9_6 p5-XML-Parser-2.34_1 docbook-sk-4.1.2_3 libgpg-error-1.0_1 shared-mime-info-0.16_1 glib-2.8.1 popt-1.7 gettext-0.14.5 samba-libsmbclient-3.0.20_2 openldap-client-2.2.28 urwfonts-1.0 bitstream-vera-1.10_2 perl-5.8.7 libxml2-2.6.22 png-1.2.8_2 libiconv-1.9.2_1 python-2.4.1_3 openssl-0.9.7g docbook-xml-4.2_1 sdocbook-xml-4.1.2.5_2 xorg-libraries-6.8.2 fontconfig-2.3.2,1 jpeg-6b_3 freetype2-2.1.10_1 xmlcatmgr-2.2 xorg-fonts-encodings-6.8.2 pkgconfig-0.19 expat-1.95.8_3.
Creating bzip'd tar ball in '/usr/ports/packages/All/eclipse-3.1_2.tbz'
tar: share/gnome/applications/eclipse.desktop: Cannot stat: No such file or directory
pkg_create: make_dist: tar command failed with code 256
*** Error code 1

But it does not solve problem with broken dialogues (too big, without necessary fields)
and does not solve problem with menu items colors.


> It's basically what I wrote in 
> http://lists.freebsd.org/pipermail/freebsd-java/2005-July/004092.html
> put into a ready-to-use patch :)
> 
> HTH,
> Andreas
> 
-- 
Vladimir B. Grebenschikov
SWsoft Inc. vova at swsoft.com


More information about the freebsd-eclipse mailing list